#
# spec file for package qtkeychain-qt5
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define lname   libqt5keychain1
Name:           qtkeychain-qt5
Version:        0.9.1
Release:        bp153.1.27
Summary:        A password store library
License:        BSD-2-Clause
Group:          Development/Libraries/C and C++
URL:            https://github.com/frankosterfeld/qtkeychain
Source:         https://github.com/frankosterfeld/qtkeychain/archive/v%{version}.tar.gz
Source1:        baselibs.conf
BuildRequires:  cmake
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5LinguistTools)

%description
qtkeychain can be used to store passwords.

%package -n %{lname}
Summary:        A password store library
Group:          System/Libraries
Recommends:     %{lname}-lang

%description -n %{lname}
qtkeychain can be used to store passwords.

%package devel
Summary:        Development files for the qtkeychain library
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}

%description devel
qtkeychain can be used to store passwords.

This package contains development files for libqtkeychain.

%lang_package -n %{lname}

%prep
%setup -q -n qtkeychain-%{version}

%build
%cmake -DBUILD_WITH_QT4=OFF ..
%make_jobs

%install
%cmake_install

%post -n %{lname} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%license COPYING
%{_libdir}/libqt5keychain.so.*

%files devel
%license COPYING
%{_includedir}/qt5keychain
%{_libdir}/cmake/Qt5Keychain
%{_libdir}/libqt5keychain.so
%{_libdir}/qt5/mkspecs/modules/qt_Qt5Keychain.pri

%files -n %{lname}-lang
%license COPYING
%dir %{_datadir}/qt5
%dir %{_datadir}/qt5/translations
%{_datadir}/qt5/translations/*keychain*.qm

%changelog
* Mon Oct 22 2018 Jan Engelhardt <jengelh@inai.de>
- Trim fill words from description. Ensure neutrality of it, too.
* Mon Oct 22 2018 Christophe Giboudeaux <christophe@krop.fr>
- Update to 0.9.1. Changes since 0.8.0:
  * Only require QtLinguist if building translations
  * Fall back on libsecret if kwallet is not available
  * Secret: Don't match the schema name
* Sat May 26 2018 christophe@krop.fr
- Update to 0.8.0:
  * Buildsystem improvements.
  * Enable C++11 support for Qt >= 5.7.
  * Doxygen documentation.
  * Libsecret support.
* Tue Jul 12 2016 hrvoje.senjan@gmail.com
- Update to 0.7.0
  * Bump SO version due to 0.6 being binary-incompatible
    qto previous releases
- Changes since 0.6.2
  * KWallet: Fixes a crash when storing passwords, seen on Debian/KDE4
- Changes since 0.6.1
  * Fix KWallet not working (regressions in 0.6.0)
- Changes since 0.6.0
  * Added support for the Windows Credential Store
* Tue Feb  9 2016 cgiboudeaux@gmx.com
- Update to 0.5.0
  Added support for KWallet5
* Wed Oct 22 2014 hrvoje.senjan@gmail.com
- Activate qtkeychain-qt5 package
